SmartSDR v1.10.15 BETA and VSP in use

  • 1
  • Question
  • Updated 3 years ago
Since v1.10.8 had some issues with the VSP flagging COM ports as "in use", I reverted back to v1.9.13 and have been using that version without issue.

After reading through the v1.10.15_Beta release notes, I see we're still waiting for a fix to the VSP driver. 

My question is:  Can I install v1.10.15_Beta but skip the VSP during the installation process and continue to use the older VSP that came with v1.10.8?
Photo of Norm - W7CK

Norm - W7CK

  • 758 Posts
  • 163 Reply Likes

Posted 3 years ago

  • 1
Photo of Tim - W4TME

Tim - W4TME, Customer Experience Manager

  • 9186 Posts
  • 3549 Reply Likes
Not easily and I do not recommend using components of the SmartSDR ecosystem out of sync. Just use the interim workaround to reset the Windows com port reservation (in use) flag. https://helpdesk.flexradio.com/hc/en-...
(Edited)
Photo of Rick

Rick

  • 160 Posts
  • 21 Reply Likes
I've found that this beta version of SmartCAT doesn't play nice with vspe and possibly other virtual serial port applications. If you can avoid running them both together you'll be fine. If not maybe you can close SmartCAT while you are using vsp for some other activity. If the other activities are in conjunction with SmartCAT then you may be out of luck until they release the solid next version that isn't beta. I've found that one or the other locks up when I try to run both and not because I have duplicated ports. It seemed to act like kids fighting over a toy....no it's mine now! I've found no apparent reason why this problem exists but I'm no engineer and have documented the issues with FRS staff several times. I'm sure it will be fixed by the time they remove "beta" from the release.